<div class="card">
    <div class="card-body">
    <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <div class="form-group">
          <label for="username">Username</label>
          <input type="text" id="username" formControlName="username" class="form-control"
                 [ngClass]="{ 'is-invalid': submitted && form.controls.username.errors }"/>
          <div *ngIf="submitted && form.controls.username.errors" class="invalid-feedback">
            <div *ngIf="form.controls.username.errors.required">Username is required</div>
          </div>
        </div>
        <div class="form-group">
          <label for="password">Password</label>
          <input type="password" id="password" formControlName="password" class="form-control"
                 [ngClass]="{ 'is-invalid': submitted && form.controls.password.errors }"/>
          <div *ngIf="submitted && form.controls.password.errors" class="invalid-feedback">
            <div *ngIf="form.controls.password.errors.required">Password is required</div>
          </div>
        </div>
        <div class="form-group">
          <button class="btn btn-dark">
            Login
          </button>
        </div>
      </form>
    </div>
</div>
  